package org.olga.rebus.calculations;

import org.olga.rebus.structure.*;
import java.util.*;

/**
 * -.      .
 * 
 * @author Olga
 *
 */
public class Context {
	
	//-    
	private HashMap<AbstractSymbol, Integer> myValues = new HashMap<AbstractSymbol, Integer>();
	
	//     
	private int[] myExistValues = new int[10];
	
	//private HashMap<AbstractSymbol, AbstractSymbol> myAntiNull = new HashMap<AbstractSymbol, AbstractSymbol>();

	/**
	 *  .
	 * 
	 * @param s - ,  
	 * @param value -   
	 * @return true,    
	 */
	public boolean addSymbol(AbstractSymbol s, int value) {
		
		if (s instanceof LetterSymbol) {
			if (++myExistValues[value] > 1) {
				return false;
			}
		}
		myValues.put(s, value);
		return true;
	}
		
	/**
	 * ,   .
	 * 
	 * @param s - ,    
	 * @return  ,     ,
	 * 			 -1,    
	 */
	public int getSymbolValue(AbstractSymbol s) {
		if (myValues.containsKey(s)) {
			int n = myValues.get(s);
			return n;
		}
		return -1;
	}
	
	/**
	 * ,  .
	 */
	void clear() {
		myValues.clear();
		for (int i=0; i < 10; i++) {
			myExistValues[i] = 0;
		}
	}
	
	/**
	 * , ,    
	 *  .
	 * 
	 * @param s - ,   
	 * @return true,     
	 */
	boolean containsSymbol(AbstractSymbol s) {
		return myValues.containsKey(s);
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return myValues.toString();
	}
	
}
