package org.olga.rebus.structure;

/**
 *   .
 * 
 * @author Olga
 *
 */
public abstract class AbstractRelation {

	//  
	private AbstractWord myOp1;
	//  
	private AbstractWord myOp2;
	// 
	private AbstractWord myResult;
	
	/**
	 *  .
	 * 
	 * @param op1    .
	 * @param op2    .
	 * @param result   .
	 */
	AbstractRelation(AbstractWord op1, 
			AbstractWord op2, AbstractWord result) {
		myOp1 = op1;
		myOp2 = op2;
		myResult = result;
	}
	
	/**
	 * ,     .
	 * 
	 * @return    .
	 */
	public AbstractWord getOp1() {
		return myOp1;
	}
	
	/**
	 * ,     .
	 * 
	 * @return    .
	 */
	public AbstractWord getOp2() {
		return myOp2;
	}
	
	/**
	 * ,    .
	 * 
	 * @return   .
	 */
	public AbstractWord getResult() {
		return myResult;
	}
	
	/**
	 * ,   .
	 * 
	 * @return  
	 */
	public abstract String getSign();
	
	/**
	 * ,     
	 *   .      
	 *   .
	 * 
	 * @param w1 -    
	 * @param w2 -    
	 * @param val1 -    
	 * @param val2 -    
	 * @return   
	 */
	public abstract int getThird(int w1, int w2, int val1, int val2);  
	
	/**
	 * ,     .
	 * 
	 * @return ,  .
	 */
	public String toString() {
		return myOp1 + " " + getSign() + ' ' + myOp2 + " = " + myResult;
	}
}

