package org.olga.rebus.structure;

import org.olga.rebus.calculations.*;

/**
 *   .   AbstractWord.
 * 
 * @author Olga
 * @see AbstractWord
 *
 */
public class DummyWord extends AbstractWord {

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "x";
	}
	
	/* (non-Javadoc)
	 * @see org.olga.rebus.structure.words.AbstractWord#getValue(org.olga.rebus.Context)
	 */
	public int getValue(Context ctx) {
		return -1;
	}
	
	/* (non-Javadoc)
	 * @see org.olga.rebus.structure.words.AbstractWord#getSymbol(int)
	 */
	public AbstractSymbol getSymbol(int index) {
		return null;
	}
	
	/* (non-Javadoc)
	 * @see org.olga.rebus.structure.words.AbstractWord#getLength()
	 */
	public int getLength() {
		return 0;
	}
	
	/* (non-Javadoc)
	 * @see org.olga.rebus.structure.AbstractWord#getSymbols()
	 */
	public AbstractSymbol[] getSymbols() {
		return null;
	}
}
