package org.olga.rebus.tests;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

import org.olga.rebus.calculations.RebusEnumerator;
import org.olga.rebus.structure.Rebus;
import org.olga.rebus.structure.TestRebuses;
import org.olga.test.FileComparator;
import org.olga.test.ITest;

/**
 * ,     3.
 * 
 * @author Olga
 *
 */
public class Test11 implements ITest {

	public String name() {
		return "11. Calculation REBUS_3";
	}

	public boolean run() {
		Rebus rebus = TestRebuses.REBUS_3;
		
		RebusEnumerator e = new RebusEnumerator(rebus);
		
		e.calculate();
		//System.out.println(e.getResults());
		
		try {
			File f = new File("org/olga/rebus/tests/test11-2.txt");
			PrintWriter out = new PrintWriter(new FileWriter(f));
			out.println(e.getResults());
			out.close();
		} catch (IOException e1) {
			System.out.println(e1.getMessage());
		}
		FileComparator fc = new FileComparator("org/olga/rebus/tests/test11-1.txt", "org/olga/rebus/tests/test11-2.txt");
		return fc.compare();
		
	}

}
