package org.olga.rebus.tests;

import org.olga.rebus.calculations.Context;
import org.olga.rebus.structure.*;
import org.olga.test.ITest;

/**
 * ,      
 * .
 * 
 * @author Olga
 *
 */
public class Test7 implements ITest {

	public String name() {
		return "7. Calculation of word's value";
	}

	public boolean run() {
		AbstractSymbol[] word = new AbstractSymbol[5];
		word[0] = Rebus.createLetterSymbol("");
		word[1] = Rebus.createLetterSymbol("");
		word[2] = Rebus.createLetterSymbol("");
		word[3] = Rebus.createLetterSymbol("");
		word[4] = Rebus.createLetterSymbol("");
		AbstractWord rebus = Rebus.createWord(word);
		
		Context ctx = new Context();
		ctx.addSymbol(word[0], 1);
		ctx.addSymbol(word[1], 2);
		ctx.addSymbol(word[2], 3);
		ctx.addSymbol(word[3], 4);
		ctx.addSymbol(word[4], 5);
		return rebus.getValue(ctx) == 12345;
	}

}
