package org.olga.rebus.structure;

import org.olga.rebus.calculations.*;

/**
 *   . 
 * 
 * @author Olga
 *
 */
public abstract class AbstractWord {
	
	/**
	 * ,      .
	 * 
	 * @param ctx -  
	 * @return  ,      
	 * 			-1,   
	 */
	public abstract int getValue(Context ctx);
	
	/**
	 * ,     .
	 * 
	 * @param index    
	 * @return 
	 */
	public abstract AbstractSymbol getSymbol(int index);
	
	/**
	 * ,   .
	 * 
	 * @return  
	 */
	public abstract int getLength();
	
	/**
	 * ,      .
	 * 
	 * @return  .
	 */
	public abstract AbstractSymbol[] getSymbols();
	
	/**
	 * ,      .
	 * 
	 * @param word ,     .
	 * @return 1,  ,   , ,
	 * 		   -1,  ,   , ,
	 * 		   0,   .
	 */
	public int compareTo(AbstractWord word) {
		int len1 = 0;
		for (AbstractSymbol s: getSymbols()) {
			if (!(s instanceof NumberSymbol)) {
				len1++;
			}
		}
		int len2 = 0;
		for (AbstractSymbol s: word.getSymbols()) {
			if (!(s instanceof NumberSymbol)) {
				len2++;
			}
		}
		if (len1 > len2) {
			return -1;
		} else if (len1 == len2) {
			return 0;
		} else {
			return 1;
		}
	}
}
