package org.olga.rebus.structure;

/**
 *  -.   AbstractRelation.
 * 
 * @author Olga
 * @see AbstractRelation
 *
 */
public class EqualityRelation extends AbstractRelation {
	
	/**
	 *  .
	 * 
	 * @param op1  .
	 * @param op2  .
	 */
	EqualityRelation(AbstractWord op1, 
			AbstractWord op2) {
		super(op1, op2, null);
	}
	
	/* (non-Javadoc)
	 * @see org.olga.rebus.structure.AbstractRelation#getSign()
	 */
	public String getSign() {
		return "=";
	}

	/* (non-Javadoc)
	 * @see org.olga.rebus.structure.AbstractRelation#getThird(int, int, int, int)
	 */
	public int getThird(int w1, int w2, int val1, int val2) {
		return -1;
	}	
}
