package org.olga.rebus.structure;

import java.util.*;

import org.olga.rebus.structure.Rebus.*;

/**
 *  .     
 *    Rebus.
 * 
 * @author Olga
 * @see Rebus
 *
 */
public interface IRebus {

	/**
	 * ,    .
	 * 
	 * @return  .
	 */
	int getLength();
	
	/**
	 * ,      
	 * .
	 * 
	 * @return  .
	 */
	Collection<VisibleWord> getVisibleWords();
	
	/**
	 * ,     .
	 * 
	 * @return  .
	 */
	Collection<VisibleSign> getSigns();
	
	/**
	 * ,     .
	 * 
	 * @return  .
	 */
	Collection<VisibleLine> getLines();
	
	/**
	 * ,    .
	 * 
	 * @param enumWords   .
	 */
	void setEnumWords(LinkedList<AbstractWord> enumWords);
	
	/**
	 * ,      
	 *  .
	 * 
	 * @return  .
	 */
	Collection<AbstractWord> getEnumWords();
	
	/**
	 * ,      
	 * .
	 * 
	 * @return .
	 */
	Collection<Subword> getSubwords();
	
	/**
	 * ,    .
	 * 
	 * @param sub  .
	 */
	void setSubwords(LinkedList<Subword> sub);
	
	/**
	 * ,     
	 * .
	 * 
	 * @return .
	 */
	Collection<AbstractRelation> getRelations();
}
