package org.olga.rebus.tests;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

import org.olga.rebus.calculations.RebusEnumerator;
import org.olga.rebus.structure.Rebus;
import org.olga.rebus.structure.TestRebuses;
import org.olga.test.FileComparator;
import org.olga.test.ITest;

public class Test18 implements ITest {

	public String name() {
		
		return "18.   7";
	}

	public boolean run() {
		Rebus rebus = TestRebuses.REBUS_7;
		
		RebusEnumerator e = new RebusEnumerator(rebus);
		
		
		e.calculate();
		//System.out.println(e.getResults());
		
		try {
			File f = new File("org/olga/rebus/tests/test18-2.txt");
			PrintWriter out = new PrintWriter(new FileWriter(f));
			out.println(e.getResults());
			out.close();
		} catch (IOException e1) {
			System.out.println(e1.getMessage());
		}
		FileComparator fc = new FileComparator("org/olga/rebus/tests/test18-1.txt", "org/olga/rebus/tests/test18-2.txt");
		return fc.compare();
	}

}
