package org.olga.rebus.tests;

import org.olga.rebus.calculations.RebusEnumerator;
import org.olga.rebus.structure.*;
import org.olga.test.*;
import java.io.*;

/**
 * ,     1.
 * 
 * @author Olga
 *
 */
public class Test9 implements ITest {

	public String name() {
		return "9. Calculation REBUS_1";
	}

	public boolean run() {
		
		Rebus rebus = TestRebuses.REBUS_1;
		
		RebusEnumerator e = new RebusEnumerator(rebus);
				
		e.calculate();
		//System.out.println(e.getResults());
		
		try {
			File f = new File("org/olga/rebus/tests/test9-2.txt");
			PrintWriter out = new PrintWriter(new FileWriter(f));
			out.println(e.getResults());
			out.close();
		} catch (IOException e1) {
			System.out.println(e1.getMessage());
		}
		FileComparator fc = new FileComparator("org/olga/rebus/tests/test9-1.txt", "org/olga/rebus/tests/test9-2.txt");
		return fc.compare();
	}

}
